# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/libprotobuf-3.13.0-on-linux_64, last modified Tue Aug 18 20:12:37 2020
# ------------------------------------------------

package:
    name: libprotobuf
    version: 3.13.0
source:
    -   patches: null
        sha256: 9b4ee22c250fe31b16f1a24d61467e40780a3fbb9b91c3b65be2a376ed913a1a
        url: https://github.com/protocolbuffers/protobuf/archive/v3.13.0/libprotobuf-v3.13.0.tar.gz
    -   folder: third_party/benchmark
        sha256: 5dc92703f811f94e2aa63bdab07ab749f28a094befa6cdfd5fe177f947590a48
        url: https://github.com/google/benchmark/archive/5b7683f49e1e9223cf9927b24f6fd3d6bd82e3f8.tar.gz
    -   folder: third_party/googletest
        sha256: 0e2f36e8e403c125fd0ab02171bdb786d3b6b3875b6ccf3b2eb7969be8faecd0
        url: https://github.com/google/googletest/archive/5ec7f0c4a113e2f18ac2c6cc7df51ad6afc24081.tar.gz
build:
    number: '0'
    run_exports:
        - libprotobuf >=3.13.0,<3.14.0a0
    string: hd408876_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - autoconf 2.69 pl526hebd4dad_5
        - automake 1.16.2 pl526_0
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_15
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libtool 2.4.6 h7b6447c_5
        - m4 1.4.18 h4e445db_0
        - make 4.2.1 h1bed415_1
        - perl 5.26.2 h14c3975_0
        - pkg-config 0.29.2 h1bed415_8
        - unzip 6.0 h611a1e1_0
    host:
        - _libgcc_mutex 0.1 main
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - zlib >=1.2.11,<1.3.0a0
about:
    description: 'Protocol buffers are Google''s language-neutral,

        platform-neutral, extensible mechanism for serializing structured data-

        think XML, but smaller, faster, and simpler.

        '
    doc_source_url: https://github.com/protocolbuffers/protobuf/releases
    doc_url: https://developers.google.com/protocol-buffers/
    home: https://developers.google.com/protocol-buffers/
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: Protocol Buffers - Google's data interchange format. C++ Libraries and
        protoc, the protobuf compiler.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - dopplershift
        - hajapy
        - jakirkham
        - jjhelmus
        - ocefpaf
        - wesm
        - xhochy
